/*---------------------------------------------------------------------------*\

    FILE....: COFF.H
    TYPE....: C++ Function Header File
    AUTHOR..: David Rowe
    DATE....: 19/11/97

    Functions that boot DSP and extract symbol addresses using COFF files.

\*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*\

	Copyright (C) 1999 Voicetronix Pty Ltd

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

\*---------------------------------------------------------------------------*/

#ifndef __COFF__
#define __COFF__

#include "contypes.h"
#include "hip.h"

/*-------------------------------------------------------------------------*\

			       FUNCTIONS
	
\*-------------------------------------------------------------------------*/

void coff_load_dsp_firmware(Hip *hip, ushort board, char coff_file[]);
void coff_check_dsp_firmware(Hip *hip, ushort board, char coff_file[]);
void coff_get_address(char coff_file[], char symbol[], unsigned long *addr);
long coff_construct_image(char coff_file[], ushort buf[], long buf_len);

#endif	/* #ifndef __COFF__	*/

